@charset "UTF-8";

/* ページ共通 */
.dashingdiva-top {
  --font-brand-ja: var(--hirakaku);
  --font-brand-en: var(--quattrocento-sans);

  --color-brand-text: #000;
  --color-brand-link: #959595;
  --color-brand-gray: #F0F0F0;
    
  --color-rank-top: #A78973;
  --color-rank-default: var(--black);

  color: var(--color-brand-text);
  letter-spacing: 0.03em;
}
.dashingdiva-top .sec-style + .sec-style {
  border-top: 3px solid var(--color-brand-gray);
}
.dashingdiva-top .c-block__heading {
  font-family: var(--quattrocento-sans);
  text-align: center;
  font-weight: var(--font-weight-bold);
  text-transform: uppercase;
}
.viewall__link-text {
  position: relative;
  display: block;
  width: fit-content;
  margin: 0 auto;
  font-family: var(--font-brand-en);
  font-weight: var(--font-weight-regular);
  text-decoration: underline;
  text-underline-offset: 8px;
  text-transform: uppercase;
  line-height: 1.28;
}
/* Category  */
.c-block-category {
  margin: 0 auto;
}
.c-categorySlider__list {
  --row-count: 1;
}
/* NEW ARRIVALS */
.c-block-Newarrival .newarrivals__list-item5 {
  display: grid;
}
.c-block-Newarrival .newarrivals__list-item__detail {
  display: flex;
  flex-direction: column;
  margin-left: 0;
  margin-right: 0;
}
.c-block-Newarrival .newarrivals__list-item__detail > * {
  margin-top: 0;
  margin-bottom: 0;
}
.c-block-Newarrival .newarrivals__list-item__detail--brandname {
  font-family: var(--font-brand-en);
}
.c-block-Newarrival .newarrivals__list-item__detail--itemname {
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  font-weight: var(--font-weight-medium);
  text-overflow: unset;
  white-space: unset;
}
/* RANKING */
.dashingdiva-top .ranking {
  background-color: #fff6f6;
}
.c-block-ranking .cardUnit {
  display: grid;
}
.c-block-ranking .cardUnit-commonRanking {
  margin: 0;
}
.c-block-ranking .ranking__list-item__detail {
  display: flex;
  flex-direction: column;
}
.c-block-ranking .ranking__list-item__detail > * {
  margin-top: 0;
  margin-bottom: 0;
}
.c-block-ranking .rankNum-round,
.c-block-ranking .ranking__list-item__detail--brandname {
  font-family: var(--font-brand-en);
}
.c-block-ranking .rankNum-round {
  font-weight: var(--font-weight-bold);
}
.c-block-Newarrival .ranking__list-item__detail--itemname {
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  text-overflow: unset;
  white-space: unset;
}
/* TOPICS */
.p-topics__slider-wrap {
  margin: 0 auto;
}
.p-topics__slider .slick-prev,
.p-topics__slider .slick-next {
  z-index: 1;
  display: block;
}
.p-topics__slider .slick-prev {
  left: 10px;
}
.p-topics__slider .slick-next {
  right: 10px;
}
.p-topics__slider .slick-prev::before,
.p-topics__slider .slick-next::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  opacity: 1;
  background:
    center / 100%
    no-repeat;
}
.p-topics__slider .slick-prev::before {
  background-image:
    url('data:image/svg+xml;charset=utf8,%3Csvg%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20x%3D%220px%22%20y%3D%220px%22%20viewBox%3D%220%200%2025.9%2054.3%22%20style%3D%22enable-background%3Anew%200%200%2025.9%2054.3%3B%22%20xml%3Aspace%3D%22preserve%22%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%20.st0%7Bfill%3A%23FFFFFF%3B%7D%3C%2Fstyle%3E%3Cg%20id%3D%22%E3%82%B0%E3%83%AB%E3%83%BC%E3%83%97_718%22%20transform%3D%22translate(1319.102%20429.962)%20rotate(180)%22%3E%20%3Cpath%20id%3D%22%E7%B7%9A_165%22%20class%3D%22st0%22%20d%3D%22M1317.6%2C403.7l-24.4-26.6l1.5-1.3l24.4%2C26.6L1317.6%2C403.7z%22%2F%3E%20%3Cpath%20id%3D%22%E7%B7%9A_166%22%20class%3D%22st0%22%20d%3D%22M1294.7%2C430l-1.5-1.3l24.4-27.5l1.5%2C1.3L1294.7%2C430z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E');
}
.p-topics__slider .slick-next::before {
  background-image:
    url('data:image/svg+xml;charset=utf8,%3Csvg%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20x%3D%220px%22%20y%3D%220px%22%20viewBox%3D%220%200%2025.9%2054.3%22%20style%3D%22enable-background%3Anew%200%200%2025.9%2054.3%3B%22%20xml%3Aspace%3D%22preserve%22%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%20.st0%7Bfill%3A%23FFFFFF%3B%7D%3C%2Fstyle%3E%3Cg%20id%3D%22%E3%82%B0%E3%83%AB%E3%83%BC%E3%83%97_717%22%20transform%3D%22translate(-1293.236%20-375.679)%22%3E%20%3Cpath%20id%3D%22%E7%B7%9A_165%22%20class%3D%22st0%22%20d%3D%22M1317.6%2C403.7l-24.4-26.6l1.5-1.3l24.4%2C26.6L1317.6%2C403.7z%22%2F%3E%20%3Cpath%20id%3D%22%E7%B7%9A_166%22%20class%3D%22st0%22%20d%3D%22M1294.7%2C430l-1.5-1.3l24.4-27.5l1.5%2C1.3L1294.7%2C430z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E');
}
.p-topics__item {
  display: block;
}
.p-topics__item img {
  width: 100%;
  height: auto;
}
/* BRAND CONCEPT */
.p-concept__wrap {
  display: grid;
  grid-template-columns: 100%;
  width: min(100%, 702px);
  margin: 0 auto;
}
.p-concept__item {
  display: block;
}
.p-concept__item img {
  width: 100%;
  height: auto;
}
/* FeatureList */
.c-block-featureList .cardUnit-featureList {
  display: grid;
  margin: 0 auto;  
}
.c-block-featureList .cardUnit__card img {
  height: auto;
}
.c-block-featureList .feature-title {
  line-height: 1.6;
}
/* Media */
.c-block-media {
  width: min(100%, 702px);
  margin: 0 auto;
}
.c-block-media a {
  display: block;
}
.c-block-media img {
  width: 100%;
  height: auto;
}
/* STYLING MOVIE */
.c-block-styling-movie {
  margin: 0 auto;
  padding: 0 var(--padding-horizontal-content);
}
/* Instagram */
.c-block-instagram .instagram__account-id {
  text-align: center;
  line-height: 1.5;
}
.c-block-instagram .instagram-feed__items {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: .4rem;
}
.c-block-instagram .instagram-feed__item img {
  width: 100%;
  height: auto;
  aspect-ratio: 3 / 4;
  object-fit: cover;
  object-position: center;
}
/* Social Media */
.social-media__inner {
  padding: 0 var(--padding-horizontal-content);
}
.p-sns-link {
  margin: 0 auto;
  border: 1px solid var(--aria);
}
.p-sns-link__list {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
}
.p-sns-link__link {
  display: flex;
  align-items: center;
  flex-direction: column;
}
.p-sns-link__icon {
  aspect-ratio: 1;
  object-fit: contain;
}
.p-sns-link__text {
  text-align: center;
  font-weight: var(--font-weight-semibold);
}
/* --- for small viewport --- */
@media screen and (max-width: 767px) {
  .dashingdiva-top {
    --padding-horizontal-content: calc(10 *(100vw / 375));
    padding-bottom: calc(36 *(100vw / 375));
  }
  .dashingdiva-top .c-block,
  .dashingdiva-top .social-media__inner {
    padding-top: calc(50 * (100vw / 375));
    padding-bottom: calc(50 * (100vw / 375));
  }
  .dashingdiva-top .c-block__heading {
    margin-bottom: calc(32 * (100vw / 375));
    font-size: calc(22 * (100vw / 375));
    line-height: 1.18;
  }
  .viewall__link-text {
    margin-top: calc(40 *(100vw / 375));
    font-size: calc(14 * (100vw / 375));
  }
  /* MV */
  .mainbanner .slick-dots {
    margin-top: calc(15 *(100vw / 375));
  }
  .mainbanner .slick-dots li {
    width: calc(6 *(100vw / 375));
    height: calc(6 *(100vw / 375));
    margin: 0 calc(10 *(100vw / 375));
  }
  .mainbanner .slick-dots li button,
  .mainbanner .slick-dots li button::before {
    width: calc(6 *(100vw / 375));
    height: calc(6 *(100vw / 375));
  }
  /* Category  */
  .c-block-category {
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-category .c-block__heading {
    margin-bottom: calc(20 *(100vw / 375));
  }
  /* NEW ARRIVALS */
  .c-block-Newarrival {
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-Newarrival .newarrivals__list-item5 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: calc(21 * (100vw / 375)) calc(11 * (100vw / 375));
  }
  .c-block-Newarrival .newarrivals__list-item__detail {
    gap: calc(8 *(100vw / 375));
  }
  .c-block-Newarrival .newarrivals__list-item__detail--itemname {
    -webkit-line-clamp: 1;
  }
  /* RANKING */
  .c-block-ranking {
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-ranking .block__ttl {
    margin-bottom: calc(34 * (100vw / 375));
  }
  .c-block-ranking .cardUnit {
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: calc(35.4 *(100vw / 375)) calc(7 *(100vw / 375));
  }
  .c-block-ranking .rankNum-round {
    font-size: calc(14 *(100vw / 375));
  }
  .c-block-ranking .cardUnit__card-sp-col3_rankingList {
    width: unset;
    margin: 0;
  }
  .c-block-ranking .ranking__list-item__detail {
    gap: calc(10 *(100vw / 375));
    padding-left: 0;
    padding-right: 0;
  }
  .c-block-Newarrival .ranking__list-item__detail--itemname {
    -webkit-line-clamp: 1;
  }
  /* TOPICS */
  .p-topics__slider-wrap {
    width: 100%;
  }
  .p-topics__slider .slick-prev,
  .p-topics__slider .slick-next {
    width: calc(14.4 * (100vw / 375));
    height: calc(31.8 * (100vw / 375));
  }
  /* BRAND CONCEPT */
  .p-concept__wrap {
    gap: calc(20 *(100vw / 375));
  }
  /* FeatureList */
  .c-block-featureList {
    margin-bottom: 0;
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-featureList .cardUnit-featureList {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: calc(20 * (100vw / 375)) calc(11 * (100vw / 375));
  }
  .c-block-featureList .feature-body {
    margin-top: calc(10 * (100vw / 375));
  }
  .c-block-featureList .feature-title {
    font-size: calc(12 * (100vw / 375));
  }
  /* STYLING MOVIE */
  .c-block-styling-movie {
    --padding-horizontal-content: calc(18 * (100vw / 375));
    padding: 0 var(--padding-horizontal-content);
  }
  /* Instagram */
  .c-block-instagram {
    --padding-horizontal-content: calc(10 * (100vw / 375));
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-instagram .c-block__heading {
    margin-bottom: calc(15 * (100vw / 375));
  }
  .c-block-instagram .instagram__account-id {
    font-size: calc(13 * (100vw / 375));
  }
  .c-block-instagram .instagram-feed {
    margin-top: calc(20 * (100vw / 375));
  }
  .c-block-instagram .instagram-feed__items {
    gap: calc(3 * (100vw / 375));
  }
  /* Social Media */
  .p-sns-link {
    width: 80%;
    padding: calc(30 *(100vw / 375)) calc(20 *(100vw / 375));
  }
  .p-sns-link__list {
    gap: calc(50 *(100vw / 375));
  }
  .p-sns-link__link {
    gap: calc(10 *(100vw / 375));
  }
  .p-sns-link__icon {
    width: calc(25 *(100vw / 375));
  }
  .p-sns-link__text {
    font-size: calc(10 *(100vw / 375));
  }
}
/* --- for large viewport --- */
@media screen and (min-width: 768px) {
  .dashingdiva-top {
    --contents-default-width: min(100%, 120.5rem + var(--padding-horizontal-content)* 2);
    --padding-horizontal-content: 2rem;
    padding-bottom: 3rem;
  }
  .dashingdiva-top .c-block,
  .dashingdiva-top .social-media__inner {
    padding-top: 7rem;
    padding-bottom: 7rem;
  }
  .dashingdiva-top .c-block__heading {
    margin-bottom: 3.3rem;
    font-size: 3rem;
    line-height: 1.2;
  }
  .viewall__link-text {
    margin-top: 4rem;
    font-size: 1.4rem;
  }
  .viewall__link-text::after {
    right: -1.2rem;
  }
  /* MV */
  .mainbanner__slider-slide {
    max-width: 450px;
    width: calc(450 * (100vw / 1200));
    margin: 0 6px;
  }
  .mainbanner .slick-dots {
    margin-top: 2.4rem;
  }
  .mainbanner .slick-dots li {
    width: 0.6rem;
    height: 0.6rem;
    margin: 0 1rem;
  }
  .mainbanner .slick-dots li button,
  .mainbanner .slick-dots li button::before {
    width: 0.6rem;
    height: 0.6rem;
  }
  /* Category  */
  .c-block-category {
    width: var(--contents-default-width);
  }
  .c-block-category .c-categorySlider {
    max-width: 104rem;
    margin-left: auto;
    margin-right: auto;
    padding: 0 2rem;
  }
  .c-block-category .c-block__heading {
    margin-bottom: 3.3rem;
  }
  /* NEW ARRIVALS */
  .c-block-Newarrival .newarrivals__list-item5 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 2.2rem;
    width: var(--contents-default-width);
    margin: 0 auto;
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-Newarrival .newarrivals__list-item__detail {
    margin-top: 1rem;
    gap: 1rem;
  }
  .c-block-Newarrival .newarrivals__list-item__detail--itemname {
    -webkit-line-clamp: 2;
  }
  /* RANKING */
  .c-block-ranking {
  }
  .c-block-ranking .ranking_inner {
    width: var(--contents-default-width);
    max-width: none;
    padding: 0 var(--padding-horizontal-content);
    margin: 4.6rem auto 0;
  }
  .c-block-ranking .cardUnit {
    grid-template-columns: repeat(5, minmax(0, 1fr));
    gap: 1.2rem;
  }
  .ranking__list-item__detail {
    gap: 1rem;
  }
  .c-block-Newarrival .ranking__list-item__detail--itemname {
    -webkit-line-clamp: 2;
  }
  /* TOPICS */
  .p-topics__slider .slick-prev,
  .p-topics__slider .slick-next {
    width: 2.4rem;
    height: 5.3rem;
  }
  .p-topics__slider-wrap {
    width: 105.3rem;
  }
  /* BRAND CONCEPT */
  .p-concept__wrap {
    gap: 2rem;
  }
  /* FeatureList */
  .c-block-featureList .cardUnit-featureList {
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 2.2rem;
    width: var(--contents-default-width);
    max-width: none;
    margin: 0 auto;
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-featureList .feature-body {
    margin-top: 1.5rem;
  }
  .c-block-featureList .feature-title {
    font-size: 1.4rem;
  }
  /* STYLING MOVIE */
  .c-block-styling-movie {
    width: var(--contents-default-width);
  }
  /* Instagram */
  .c-block-instagram {
    width: min(100%, 81rem + var(--padding-horizontal-content)* 2);
    margin: 2rem auto 0;
    padding: 0 var(--padding-horizontal-content);
  }
  .c-block-instagram .c-block__heading {
    margin-bottom: 2rem;
  }
  .c-block-instagram .instagram__account-id {
    font-size: 1.3rem;
  }
  .c-block-instagram .instagram-feed {
    margin-top: 3rem;
  }
  /* Social Media */
  .p-sns-link {
    width: min(90%, 35rem);
    padding: 5rem 2rem;
  }
  .p-sns-link__list {
    gap: 5rem;
  }
  .p-sns-link__link {
    gap: 1rem;
  }
  .p-sns-link__icon {
    width: 2.8rem;
  }
  .p-sns-link__text {
    font-size: 1rem;
  }
}
